Login | Register
My pages Projects Community openCollabNet

Discussions > users > Re: [Subclipse-users] Subclipse Eclipse License and SVNKit Restrictions

subclipse
Discussion topic

Back to topic list

Re: [Subclipse-users] Subclipse Eclipse License and SVNKit Restrictions

Author markphip
Full name Mark Phippard
Date 2015-11-19 09:33:48 PST
Message On Thu, Nov 19, 2015 at 11:54 AM, Tom Incorvia <tom.incorvia@mic​rofocus.com>
wrote:

> Hello Subclipse,
>
>
>
> According to the website, Subclipse is licensed under the Eclipse-1.0
> license.
>

This is correct. Subclipse is EPL licensed.


>
>
> However, each download silently includes SVNKit, which is licensed under
> either the TMate open source license or a 6,000 EUR commercial license,
> neither of which is compatible with the Eclipse license.
>
>
>
> Eclipse appears to agree with regards to the incompatibility, see
> www.eclipse.org/proposals/svn, section “History”, paragraph 3.
>
>
>
> A key problem is the following phrase in the TMate license: Redistributions
> in any form must be accompanied by information on how to obtain complete
> source code for the software that uses SVNKit and any accompanying software
> that uses the software that uses SVNKit.
>
>
>
> Hence:
>
>
>
> - If Subclipse uses SVNKit based on the TMate license, the
> source code for the full application (the application that Subclipse is
> incorporated into) must be distributed
>
> - If Subclipse uses SVNKit based on the SVNKit commercial
> license, 6,000 EUR is required for that use
>
>
>
> The favor of a reply is appreciated – we are currently forbidden from
> using Subclipse based on the apparent license incompatibility.
>
>
>
It depends on what you mean by "using". If you are talking about end
users, then you are mistaken. There are no open source licenses that have
any restrictions on the user using the software. If they did, then most
people would not be able to "use" Linux. The license applies to people
distributing the software. If you are making an Eclipse-based product and
you want to include Subclipse in your distribution then you are 100%
correct. You cannot also include SVNKit without working with TMate and
complying with their terms. That is a problem for you to resolve, not
Subclipse. First off, Subclipse can distribute SVNKit because Subclipse is
open source and in compliance with the terms of the license. It is not our
responsibility to resolve your distribution issues. Second, we have the
express permission from TMate to include SVNKit on our update site, heck
they even asked us to do it once upon a time.

Also, understand that SVNKit is an optional component of Subclipse. The
recommended approach is to use JavaHL which is Apache licensed. However
since JavaHL requires native libraries it can be difficult to package for
any OS but Windows.

If you are building a product you have to decide what is important for your
own scenario. If you can use JavaHL then just do not include the SVNKit
features and plugins in your package. If you really want SVNKit, then
negotiate a license with TMate. Finally, the other option is do not
include and have your users or some software retrieve it from the update
site at installation time. Then you avoid redistributing the software and
are in compliance with the license.

--
Thanks

Mark Phippard
http://markphip.blogspot.com/
Attachments

« Previous message in topic | 2 of 2 | Next message in topic »

Messages

Show all messages in topic

[Subclipse-users] Subclipse Eclipse License and SVNKit Restrictions Tom Incorvia <tom dot incorvia at microfocus dot com> Tom Incorvia <tom dot incorvia at microfocus dot com> 2015-11-19 08:54:54 PST
     Re: [Subclipse-users] Subclipse Eclipse License and SVNKit Restrictions markphip Mark Phippard 2015-11-19 09:33:48 PST
Messages per page: